Subject: Re: [PATCH 0/6] PowerPc 8xx TLB/MMU fixes

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 06 Oct 2009 17:44:46 +1100

> > I assumed it was NIP because ... I'm not sure why. TRAP() above
> > dereferences regs, and that didn't fail, but I didn't see that until
> > now.
> 
> Yes, it is a bit strange though that the kernel isn't allowed to read from
> NULL. Is that expected?

Yes, that's absolutely expected :-) You really want any NULL deref to
blow up asap.

0 is actually part of the address space assigned to user processes. By
default they don't have anything there neither though, but if the
current process do have something mapped there, then the kernel would
read that when doing a NULL deref.

Cheers,
Ben.